BEGIN TRANSACTION;

CREATE TABLE memos (
  id integer,
  content text
);

INSERT INTO memos VALUES (1, 'PostgreSQL is a RDBMS.');

CREATE INDEX grnindex ON memos USING pgroonga (content);

TRUNCATE memos;

INSERT INTO memos VALUES (2, 'Groonga is fast full text search engine.');
INSERT INTO memos VALUES (3, 'PGroonga is a PostgreSQL extension that uses Groonga.');

SET enable_seqscan = off;
SET enable_indexscan = on;
SET enable_bitmapscan = off;

EXPLAIN (COSTS OFF)
SELECT id, content
  FROM memos
 WHERE content &@ 'PostgreSQL';

SELECT id, content
  FROM memos
 WHERE content &@ 'PostgreSQL';

DROP TABLE memos;

COMMIT;
